package com.ssm.manage.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import javax.persistence.*;

@Table(name = "debt_list")
@Data
public class DebtList implements Serializable {
    private String saleFiveNumber;
    private String         saleSixNumber;
    private String saleSevenNumber;
    private String       saleEightNumber;
    private Long saleFiveStaffId;
    private Long         saleSixStaffId;
    private Long saleSevenStaffId;
    private Long        saleEightStaffId;
    private String    saleFiveStaffName;
    private String           saleSixStaffName;
    private String    saleSevenStaffName;
    private String            saleEightStaffName;
    private String    saleFiveIdentity;
    private String           saleSixIdentity;
    private String    saleSevenIdentity;
    private String            saleEightIdentity;
    private BigDecimal    saleFiveRatio;
    private BigDecimal         saleSixRatio;
    private BigDecimal saleSevenRatio;
    private BigDecimal        saleEightRatio;
    /**
     * 主键ID
     */
    @Id
    private Long id;

    /**
     * 门店编码
     */
    @Column(name = "store_id")
    private Long storeId;

    /**
     * 门店名称
     */
    @Column(name = "store_name")
    private String storeName;

    /**
     * 会员编码
     */
    @Column(name = "member_id")
    private Long memberId;

    /**
     * 会员名称
     */
    @Column(name = "member_name")
    private String memberName;

    /**
     * 会员身份证号
     */
    @Column(name = "member_identity_card")
    private String memberIdentityCard;

    /**
     * 手机
     */
    @Column(name = "mobile_phone")
    private String mobilePhone;

    /**
     * 欠款单ID
     */
    @Column(name = "doc_id")
    private Long docId;

    /**
     * 欠款单据号
     */
    @Column(name = "doc_num")
    private String docNum;

    /**
     * 欠款单类别
     */
    @Column(name = "doc_type")
    private String docType;

    /**
     * 欠款单录入时间
     */
    @Column(name = "doc_date")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date docDate;

    /**
     * 欠款单交易ID
     */
    @Column(name = "trade_id")
    private Long tradeId;

    /**
     * 欠款单交易名称
     */
    @Column(name = "trade_name")
    private String tradeName;

    /**
     * 欠款单交易单价
     */
    @Column(name = "trade_money")
    private BigDecimal tradeMoney;

    /**
     * 欠款单交易欠款金额
     */
    @Column(name = "debt_money")
    private BigDecimal debtMoney;

    /**
     * 疗程现付销售业绩标准
     */
    @Column(name = "sales_achievement")
    private BigDecimal salesAchievement;

    /**
     * 疗程现付销售提成标准
     */
    @Column(name = "sales_commission")
    private BigDecimal salesCommission;

    /**
     * 疗程卡付销售业绩标准
     */
    @Column(name = "card_sales_achievement")
    private BigDecimal cardSalesAchievement;

    /**
     * 疗程卡付销售提成标准
     */
    @Column(name = "card_sales_commission")
    private BigDecimal cardSalesCommission;

    /**
     * 充值提成比率
     */
    @Column(name = "type_ratio")
    private BigDecimal typeRatio;

    /**
     * 销售员1水牌号
     */
    @Column(name = "sale_one_number")
    private String saleOneNumber;

    /**
     * 销售员2水牌号
     */
    @Column(name = "sale_two_number")
    private String saleTwoNumber;

    /**
     * 销售员3水牌号
     */
    @Column(name = "sale_three_number")
    private String saleThreeNumber;

    /**
     * 销售员4水牌号
     */
    @Column(name = "sale_four_number")
    private String saleFourNumber;

    /**
     * 销售员1编码
     */
    @Column(name = "sale_one_staff_id")
    private Long saleOneStaffId;

    /**
     * 销售员2编码
     */
    @Column(name = "sale_two_staff_id")
    private Long saleTwoStaffId;

    /**
     * 销售员3编码
     */
    @Column(name = "sale_three_staff_id")
    private Long saleThreeStaffId;

    /**
     * 销售员4编码
     */
    @Column(name = "sale_four_staff_id")
    private Long saleFourStaffId;

    /**
     * 销售员1名称
     */
    @Column(name = "sale_one_staff_name")
    private String saleOneStaffName;

    /**
     * 销售员2名称
     */
    @Column(name = "sale_two_staff_name")
    private String saleTwoStaffName;

    /**
     * 销售员3名称
     */
    @Column(name = "sale_three_staff_name")
    private String saleThreeStaffName;

    /**
     * 销售员4名称
     */
    @Column(name = "sale_four_staff_name")
    private String saleFourStaffName;

    /**
     * 销售员1身份证号
     */
    @Column(name = "sale_one_identity")
    private String saleOneIdentity;

    /**
     * 销售员2身份证号
     */
    @Column(name = "sale_two_identity")
    private String saleTwoIdentity;

    /**
     * 销售员3身份证号
     */
    @Column(name = "sale_three_identity")
    private String saleThreeIdentity;

    /**
     * 销售员4身份证号
     */
    @Column(name = "sale_four_identity")
    private String saleFourIdentity;

    /**
     * 销售员1占比
     */
    @Column(name = "sale_one_ratio")
    private BigDecimal saleOneRatio;

    /**
     * 销售员2占比
     */
    @Column(name = "sale_two_ratio")
    private BigDecimal saleTwoRatio;

    /**
     * 销售员3占比
     */
    @Column(name = "sale_three_ratio")
    private BigDecimal saleThreeRatio;

    /**
     * 销售员4占比
     */
    @Column(name = "sale_four_ratio")
    private BigDecimal saleFourRatio;

    /**
     * 门店高管编码
     */
    @Column(name = "manage_staff_id")
    private Long manageStaffId;

    /**
     * 门店高管名称
     */
    @Column(name = "manage_staff_name")
    private String manageStaffName;

    /**
     * 门店高管身份证号
     */
    @Column(name = "manage_identity")
    private String manageIdentity;

    /**
     * 门店高管水牌号
     */
    @Column(name = "manage_number")
    private String manageNumber;

    /**
     * 账户ID
     */
    @Column(name = "account_id")
    private Long accountId;

    /**
     * 0:未还款/1:已还款
     */
    private Integer state;

    /**
     * 还款剩余次数添加
     */
    @Column(name = "repay_count")
    private Integer repayCount;

    /**
     * 还款剩余可用次数添加
     */
    @Column(name = "repay_consume_count")
    private Integer repayConsumeCount;


    /**
     * 还款剩余金额添加
     */
    @Column(name = "repay_money")
    private BigDecimal repayMoney;

    /**
     * 还款剩余可用金额添加
     */
    @Column(name = "repay_consume_money")
    private BigDecimal repayConsumeMoney;

    private static final long serialVersionUID = 1L;

    /**
     * 获取主键ID
     *
     * @return id - 主键ID
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置主键ID
     *
     * @param id 主键ID
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 获取门店编码
     *
     * @return store_id - 门店编码
     */
    public Long getStoreId() {
        return storeId;
    }

    /**
     * 设置门店编码
     *
     * @param storeId 门店编码
     */
    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public BigDecimal getRepayMoney() {
        return repayMoney;
    }

    public void setRepayMoney(BigDecimal repayMoney) {
        this.repayMoney = repayMoney;
    }

    public BigDecimal getRepayConsumeMoney() {
        return repayConsumeMoney;
    }

    public void setRepayConsumeMoney(BigDecimal repayConsumeMoney) {
        this.repayConsumeMoney = repayConsumeMoney;
    }

    /**
     * 获取门店名称
     *
     * @return store_name - 门店名称
     */
    public String getStoreName() {
        return storeName;
    }

    /**
     * 设置门店名称
     *
     * @param storeName 门店名称
     */
    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    /**
     * 获取会员编码
     *
     * @return member_id - 会员编码
     */
    public Long getMemberId() {
        return memberId;
    }

    /**
     * 设置会员编码
     *
     * @param memberId 会员编码
     */
    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    /**
     * 获取会员名称
     *
     * @return member_name - 会员名称
     */
    public String getMemberName() {
        return memberName;
    }

    /**
     * 设置会员名称
     *
     * @param memberName 会员名称
     */
    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    /**
     * 获取会员身份证号
     *
     * @return member_identity_card - 会员身份证号
     */
    public String getMemberIdentityCard() {
        return memberIdentityCard;
    }

    /**
     * 设置会员身份证号
     *
     * @param memberIdentityCard 会员身份证号
     */
    public void setMemberIdentityCard(String memberIdentityCard) {
        this.memberIdentityCard = memberIdentityCard;
    }

    /**
     * 获取手机
     *
     * @return mobile_phone - 手机
     */
    public String getMobilePhone() {
        return mobilePhone;
    }

    /**
     * 设置手机
     *
     * @param mobilePhone 手机
     */
    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }

    /**
     * 获取欠款单ID
     *
     * @return doc_id - 欠款单ID
     */
    public Long getDocId() {
        return docId;
    }

    /**
     * 设置欠款单ID
     *
     * @param docId 欠款单ID
     */
    public void setDocId(Long docId) {
        this.docId = docId;
    }

    /**
     * 获取欠款单据号
     *
     * @return doc_num - 欠款单据号
     */
    public String getDocNum() {
        return docNum;
    }

    /**
     * 设置欠款单据号
     *
     * @param docNum 欠款单据号
     */
    public void setDocNum(String docNum) {
        this.docNum = docNum;
    }

    /**
     * 获取欠款单类别
     *
     * @return doc_type - 欠款单类别
     */
    public String getDocType() {
        return docType;
    }

    /**
     * 设置欠款单类别
     *
     * @param docType 欠款单类别
     */
    public void setDocType(String docType) {
        this.docType = docType;
    }

    /**
     * 获取欠款单录入时间
     *
     * @return doc_date - 欠款单录入时间
     */
    public Date getDocDate() {
        return docDate;
    }

    /**
     * 设置欠款单录入时间
     *
     * @param docDate 欠款单录入时间
     */
    public void setDocDate(Date docDate) {
        this.docDate = docDate;
    }

    /**
     * 获取欠款单交易ID
     *
     * @return trade_id - 欠款单交易ID
     */
    public Long getTradeId() {
        return tradeId;
    }

    /**
     * 设置欠款单交易ID
     *
     * @param tradeId 欠款单交易ID
     */
    public void setTradeId(Long tradeId) {
        this.tradeId = tradeId;
    }

    /**
     * 获取欠款单交易名称
     *
     * @return trade_name - 欠款单交易名称
     */
    public String getTradeName() {
        return tradeName;
    }

    /**
     * 设置欠款单交易名称
     *
     * @param tradeName 欠款单交易名称
     */
    public void setTradeName(String tradeName) {
        this.tradeName = tradeName;
    }

    /**
     * 获取欠款单交易单价
     *
     * @return trade_money - 欠款单交易单价
     */
    public BigDecimal getTradeMoney() {
        return tradeMoney;
    }

    /**
     * 设置欠款单交易单价
     *
     * @param tradeMoney 欠款单交易单价
     */
    public void setTradeMoney(BigDecimal tradeMoney) {
        this.tradeMoney = tradeMoney;
    }

    /**
     * 获取欠款单交易欠款金额
     *
     * @return debt_money - 欠款单交易欠款金额
     */
    public BigDecimal getDebtMoney() {
        return debtMoney;
    }

    /**
     * 设置欠款单交易欠款金额
     *
     * @param debtMoney 欠款单交易欠款金额
     */
    public void setDebtMoney(BigDecimal debtMoney) {
        this.debtMoney = debtMoney;
    }

    /**
     * 获取疗程现付销售业绩标准
     *
     * @return sales_achievement - 疗程现付销售业绩标准
     */
    public BigDecimal getSalesAchievement() {
        return salesAchievement;
    }

    /**
     * 设置疗程现付销售业绩标准
     *
     * @param salesAchievement 疗程现付销售业绩标准
     */
    public void setSalesAchievement(BigDecimal salesAchievement) {
        this.salesAchievement = salesAchievement;
    }

    /**
     * 获取疗程现付销售提成标准
     *
     * @return sales_commission - 疗程现付销售提成标准
     */
    public BigDecimal getSalesCommission() {
        return salesCommission;
    }

    /**
     * 设置疗程现付销售提成标准
     *
     * @param salesCommission 疗程现付销售提成标准
     */
    public void setSalesCommission(BigDecimal salesCommission) {
        this.salesCommission = salesCommission;
    }

    /**
     * 获取疗程卡付销售业绩标准
     *
     * @return card_sales_achievement - 疗程卡付销售业绩标准
     */
    public BigDecimal getCardSalesAchievement() {
        return cardSalesAchievement;
    }

    /**
     * 设置疗程卡付销售业绩标准
     *
     * @param cardSalesAchievement 疗程卡付销售业绩标准
     */
    public void setCardSalesAchievement(BigDecimal cardSalesAchievement) {
        this.cardSalesAchievement = cardSalesAchievement;
    }

    /**
     * 获取疗程卡付销售提成标准
     *
     * @return card_sales_commission - 疗程卡付销售提成标准
     */
    public BigDecimal getCardSalesCommission() {
        return cardSalesCommission;
    }

    /**
     * 设置疗程卡付销售提成标准
     *
     * @param cardSalesCommission 疗程卡付销售提成标准
     */
    public void setCardSalesCommission(BigDecimal cardSalesCommission) {
        this.cardSalesCommission = cardSalesCommission;
    }

    /**
     * 获取充值提成比率
     *
     * @return type_ratio - 充值提成比率
     */
    public BigDecimal getTypeRatio() {
        return typeRatio;
    }

    /**
     * 设置充值提成比率
     *
     * @param typeRatio 充值提成比率
     */
    public void setTypeRatio(BigDecimal typeRatio) {
        this.typeRatio = typeRatio;
    }

    /**
     * 获取销售员1水牌号
     *
     * @return sale_one_number - 销售员1水牌号
     */
    public String getSaleOneNumber() {
        return saleOneNumber;
    }

    /**
     * 设置销售员1水牌号
     *
     * @param saleOneNumber 销售员1水牌号
     */
    public void setSaleOneNumber(String saleOneNumber) {
        this.saleOneNumber = saleOneNumber;
    }

    /**
     * 获取销售员2水牌号
     *
     * @return sale_two_number - 销售员2水牌号
     */
    public String getSaleTwoNumber() {
        return saleTwoNumber;
    }

    /**
     * 设置销售员2水牌号
     *
     * @param saleTwoNumber 销售员2水牌号
     */
    public void setSaleTwoNumber(String saleTwoNumber) {
        this.saleTwoNumber = saleTwoNumber;
    }

    /**
     * 获取销售员3水牌号
     *
     * @return sale_three_number - 销售员3水牌号
     */
    public String getSaleThreeNumber() {
        return saleThreeNumber;
    }

    /**
     * 设置销售员3水牌号
     *
     * @param saleThreeNumber 销售员3水牌号
     */
    public void setSaleThreeNumber(String saleThreeNumber) {
        this.saleThreeNumber = saleThreeNumber;
    }

    /**
     * 获取销售员4水牌号
     *
     * @return sale_four_number - 销售员4水牌号
     */
    public String getSaleFourNumber() {
        return saleFourNumber;
    }

    /**
     * 设置销售员4水牌号
     *
     * @param saleFourNumber 销售员4水牌号
     */
    public void setSaleFourNumber(String saleFourNumber) {
        this.saleFourNumber = saleFourNumber;
    }

    /**
     * 获取销售员1编码
     *
     * @return sale_one_staff_id - 销售员1编码
     */
    public Long getSaleOneStaffId() {
        return saleOneStaffId;
    }

    /**
     * 设置销售员1编码
     *
     * @param saleOneStaffId 销售员1编码
     */
    public void setSaleOneStaffId(Long saleOneStaffId) {
        this.saleOneStaffId = saleOneStaffId;
    }

    /**
     * 获取销售员2编码
     *
     * @return sale_two_staff_id - 销售员2编码
     */
    public Long getSaleTwoStaffId() {
        return saleTwoStaffId;
    }

    /**
     * 设置销售员2编码
     *
     * @param saleTwoStaffId 销售员2编码
     */
    public void setSaleTwoStaffId(Long saleTwoStaffId) {
        this.saleTwoStaffId = saleTwoStaffId;
    }

    /**
     * 获取销售员3编码
     *
     * @return sale_three_staff_id - 销售员3编码
     */
    public Long getSaleThreeStaffId() {
        return saleThreeStaffId;
    }

    /**
     * 设置销售员3编码
     *
     * @param saleThreeStaffId 销售员3编码
     */
    public void setSaleThreeStaffId(Long saleThreeStaffId) {
        this.saleThreeStaffId = saleThreeStaffId;
    }

    /**
     * 获取销售员4编码
     *
     * @return sale_four_staff_id - 销售员4编码
     */
    public Long getSaleFourStaffId() {
        return saleFourStaffId;
    }

    /**
     * 设置销售员4编码
     *
     * @param saleFourStaffId 销售员4编码
     */
    public void setSaleFourStaffId(Long saleFourStaffId) {
        this.saleFourStaffId = saleFourStaffId;
    }

    /**
     * 获取销售员1名称
     *
     * @return sale_one_staff_name - 销售员1名称
     */
    public String getSaleOneStaffName() {
        return saleOneStaffName;
    }

    /**
     * 设置销售员1名称
     *
     * @param saleOneStaffName 销售员1名称
     */
    public void setSaleOneStaffName(String saleOneStaffName) {
        this.saleOneStaffName = saleOneStaffName;
    }

    /**
     * 获取销售员2名称
     *
     * @return sale_two_staff_name - 销售员2名称
     */
    public String getSaleTwoStaffName() {
        return saleTwoStaffName;
    }

    /**
     * 设置销售员2名称
     *
     * @param saleTwoStaffName 销售员2名称
     */
    public void setSaleTwoStaffName(String saleTwoStaffName) {
        this.saleTwoStaffName = saleTwoStaffName;
    }

    /**
     * 获取销售员3名称
     *
     * @return sale_three_staff_name - 销售员3名称
     */
    public String getSaleThreeStaffName() {
        return saleThreeStaffName;
    }

    /**
     * 设置销售员3名称
     *
     * @param saleThreeStaffName 销售员3名称
     */
    public void setSaleThreeStaffName(String saleThreeStaffName) {
        this.saleThreeStaffName = saleThreeStaffName;
    }

    /**
     * 获取销售员4名称
     *
     * @return sale_four_staff_name - 销售员4名称
     */
    public String getSaleFourStaffName() {
        return saleFourStaffName;
    }

    /**
     * 设置销售员4名称
     *
     * @param saleFourStaffName 销售员4名称
     */
    public void setSaleFourStaffName(String saleFourStaffName) {
        this.saleFourStaffName = saleFourStaffName;
    }

    /**
     * 获取销售员1身份证号
     *
     * @return sale_one_identity - 销售员1身份证号
     */
    public String getSaleOneIdentity() {
        return saleOneIdentity;
    }

    /**
     * 设置销售员1身份证号
     *
     * @param saleOneIdentity 销售员1身份证号
     */
    public void setSaleOneIdentity(String saleOneIdentity) {
        this.saleOneIdentity = saleOneIdentity;
    }

    /**
     * 获取销售员2身份证号
     *
     * @return sale_two_identity - 销售员2身份证号
     */
    public String getSaleTwoIdentity() {
        return saleTwoIdentity;
    }

    /**
     * 设置销售员2身份证号
     *
     * @param saleTwoIdentity 销售员2身份证号
     */
    public void setSaleTwoIdentity(String saleTwoIdentity) {
        this.saleTwoIdentity = saleTwoIdentity;
    }

    /**
     * 获取销售员3身份证号
     *
     * @return sale_three_identity - 销售员3身份证号
     */
    public String getSaleThreeIdentity() {
        return saleThreeIdentity;
    }

    /**
     * 设置销售员3身份证号
     *
     * @param saleThreeIdentity 销售员3身份证号
     */
    public void setSaleThreeIdentity(String saleThreeIdentity) {
        this.saleThreeIdentity = saleThreeIdentity;
    }

    /**
     * 获取销售员4身份证号
     *
     * @return sale_four_identity - 销售员4身份证号
     */
    public String getSaleFourIdentity() {
        return saleFourIdentity;
    }

    /**
     * 设置销售员4身份证号
     *
     * @param saleFourIdentity 销售员4身份证号
     */
    public void setSaleFourIdentity(String saleFourIdentity) {
        this.saleFourIdentity = saleFourIdentity;
    }

    /**
     * 获取销售员1占比
     *
     * @return sale_one_ratio - 销售员1占比
     */
    public BigDecimal getSaleOneRatio() {
        return saleOneRatio;
    }

    /**
     * 设置销售员1占比
     *
     * @param saleOneRatio 销售员1占比
     */
    public void setSaleOneRatio(BigDecimal saleOneRatio) {
        this.saleOneRatio = saleOneRatio;
    }

    /**
     * 获取销售员2占比
     *
     * @return sale_two_ratio - 销售员2占比
     */
    public BigDecimal getSaleTwoRatio() {
        return saleTwoRatio;
    }

    /**
     * 设置销售员2占比
     *
     * @param saleTwoRatio 销售员2占比
     */
    public void setSaleTwoRatio(BigDecimal saleTwoRatio) {
        this.saleTwoRatio = saleTwoRatio;
    }

    /**
     * 获取销售员3占比
     *
     * @return sale_three_ratio - 销售员3占比
     */
    public BigDecimal getSaleThreeRatio() {
        return saleThreeRatio;
    }

    /**
     * 设置销售员3占比
     *
     * @param saleThreeRatio 销售员3占比
     */
    public void setSaleThreeRatio(BigDecimal saleThreeRatio) {
        this.saleThreeRatio = saleThreeRatio;
    }

    /**
     * 获取销售员4占比
     *
     * @return sale_four_ratio - 销售员4占比
     */
    public BigDecimal getSaleFourRatio() {
        return saleFourRatio;
    }

    /**
     * 设置销售员4占比
     *
     * @param saleFourRatio 销售员4占比
     */
    public void setSaleFourRatio(BigDecimal saleFourRatio) {
        this.saleFourRatio = saleFourRatio;
    }

    /**
     * 获取门店高管编码
     *
     * @return manage_staff_id - 门店高管编码
     */
    public Long getManageStaffId() {
        return manageStaffId;
    }

    /**
     * 设置门店高管编码
     *
     * @param manageStaffId 门店高管编码
     */
    public void setManageStaffId(Long manageStaffId) {
        this.manageStaffId = manageStaffId;
    }

    /**
     * 获取门店高管名称
     *
     * @return manage_staff_name - 门店高管名称
     */
    public String getManageStaffName() {
        return manageStaffName;
    }

    /**
     * 设置门店高管名称
     *
     * @param manageStaffName 门店高管名称
     */
    public void setManageStaffName(String manageStaffName) {
        this.manageStaffName = manageStaffName;
    }

    /**
     * 获取门店高管身份证号
     *
     * @return manage_identity - 门店高管身份证号
     */
    public String getManageIdentity() {
        return manageIdentity;
    }

    /**
     * 设置门店高管身份证号
     *
     * @param manageIdentity 门店高管身份证号
     */
    public void setManageIdentity(String manageIdentity) {
        this.manageIdentity = manageIdentity;
    }

    /**
     * 获取门店高管水牌号
     *
     * @return manage_number - 门店高管水牌号
     */
    public String getManageNumber() {
        return manageNumber;
    }

    /**
     * 设置门店高管水牌号
     *
     * @param manageNumber 门店高管水牌号
     */
    public void setManageNumber(String manageNumber) {
        this.manageNumber = manageNumber;
    }

    /**
     * 获取账户ID
     *
     * @return account_id - 账户ID
     */
    public Long getAccountId() {
        return accountId;
    }

    /**
     * 设置账户ID
     *
     * @param accountId 账户ID
     */
    public void setAccountId(Long accountId) {
        this.accountId = accountId;
    }

    /**
     * 获取0:未还款/1:已还款
     *
     * @return state - 0:未还款/1:已还款
     */
    public Integer getState() {
        return state;
    }

    /**
     * 设置0:未还款/1:已还款
     *
     * @param state 0:未还款/1:已还款
     */
    public void setState(Integer state) {
        this.state = state;
    }

    /**
     * 获取还款剩余次数添加
     *
     * @return repay_count - 还款剩余次数添加
     */
    public Integer getRepayCount() {
        return repayCount;
    }

    /**
     * 设置还款剩余次数添加
     *
     * @param repayCount 还款剩余次数添加
     */
    public void setRepayCount(Integer repayCount) {
        this.repayCount = repayCount;
    }

    /**
     * 获取还款剩余可用次数添加
     *
     * @return repay_consume_count - 还款剩余可用次数添加
     */
    public Integer getRepayConsumeCount() {
        return repayConsumeCount;
    }

    /**
     * 设置还款剩余可用次数添加
     *
     * @param repayConsumeCount 还款剩余可用次数添加
     */
    public void setRepayConsumeCount(Integer repayConsumeCount) {
        this.repayConsumeCount = repayConsumeCount;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        DebtList other = (DebtList) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getStoreId() == null ? other.getStoreId() == null : this.getStoreId().equals(other.getStoreId()))
            && (this.getStoreName() == null ? other.getStoreName() == null : this.getStoreName().equals(other.getStoreName()))
            && (this.getMemberId() == null ? other.getMemberId() == null : this.getMemberId().equals(other.getMemberId()))
            && (this.getMemberName() == null ? other.getMemberName() == null : this.getMemberName().equals(other.getMemberName()))
            && (this.getMemberIdentityCard() == null ? other.getMemberIdentityCard() == null : this.getMemberIdentityCard().equals(other.getMemberIdentityCard()))
            && (this.getMobilePhone() == null ? other.getMobilePhone() == null : this.getMobilePhone().equals(other.getMobilePhone()))
            && (this.getDocId() == null ? other.getDocId() == null : this.getDocId().equals(other.getDocId()))
            && (this.getDocNum() == null ? other.getDocNum() == null : this.getDocNum().equals(other.getDocNum()))
            && (this.getDocType() == null ? other.getDocType() == null : this.getDocType().equals(other.getDocType()))
            && (this.getDocDate() == null ? other.getDocDate() == null : this.getDocDate().equals(other.getDocDate()))
            && (this.getTradeId() == null ? other.getTradeId() == null : this.getTradeId().equals(other.getTradeId()))
            && (this.getTradeName() == null ? other.getTradeName() == null : this.getTradeName().equals(other.getTradeName()))
            && (this.getTradeMoney() == null ? other.getTradeMoney() == null : this.getTradeMoney().equals(other.getTradeMoney()))
            && (this.getDebtMoney() == null ? other.getDebtMoney() == null : this.getDebtMoney().equals(other.getDebtMoney()))
            && (this.getSalesAchievement() == null ? other.getSalesAchievement() == null : this.getSalesAchievement().equals(other.getSalesAchievement()))
            && (this.getSalesCommission() == null ? other.getSalesCommission() == null : this.getSalesCommission().equals(other.getSalesCommission()))
            && (this.getCardSalesAchievement() == null ? other.getCardSalesAchievement() == null : this.getCardSalesAchievement().equals(other.getCardSalesAchievement()))
            && (this.getCardSalesCommission() == null ? other.getCardSalesCommission() == null : this.getCardSalesCommission().equals(other.getCardSalesCommission()))
            && (this.getTypeRatio() == null ? other.getTypeRatio() == null : this.getTypeRatio().equals(other.getTypeRatio()))
            && (this.getSaleOneNumber() == null ? other.getSaleOneNumber() == null : this.getSaleOneNumber().equals(other.getSaleOneNumber()))
            && (this.getSaleTwoNumber() == null ? other.getSaleTwoNumber() == null : this.getSaleTwoNumber().equals(other.getSaleTwoNumber()))
            && (this.getSaleThreeNumber() == null ? other.getSaleThreeNumber() == null : this.getSaleThreeNumber().equals(other.getSaleThreeNumber()))
            && (this.getSaleFourNumber() == null ? other.getSaleFourNumber() == null : this.getSaleFourNumber().equals(other.getSaleFourNumber()))
            && (this.getSaleOneStaffId() == null ? other.getSaleOneStaffId() == null : this.getSaleOneStaffId().equals(other.getSaleOneStaffId()))
            && (this.getSaleTwoStaffId() == null ? other.getSaleTwoStaffId() == null : this.getSaleTwoStaffId().equals(other.getSaleTwoStaffId()))
            && (this.getSaleThreeStaffId() == null ? other.getSaleThreeStaffId() == null : this.getSaleThreeStaffId().equals(other.getSaleThreeStaffId()))
            && (this.getSaleFourStaffId() == null ? other.getSaleFourStaffId() == null : this.getSaleFourStaffId().equals(other.getSaleFourStaffId()))
            && (this.getSaleOneStaffName() == null ? other.getSaleOneStaffName() == null : this.getSaleOneStaffName().equals(other.getSaleOneStaffName()))
            && (this.getSaleTwoStaffName() == null ? other.getSaleTwoStaffName() == null : this.getSaleTwoStaffName().equals(other.getSaleTwoStaffName()))
            && (this.getSaleThreeStaffName() == null ? other.getSaleThreeStaffName() == null : this.getSaleThreeStaffName().equals(other.getSaleThreeStaffName()))
            && (this.getSaleFourStaffName() == null ? other.getSaleFourStaffName() == null : this.getSaleFourStaffName().equals(other.getSaleFourStaffName()))
            && (this.getSaleOneIdentity() == null ? other.getSaleOneIdentity() == null : this.getSaleOneIdentity().equals(other.getSaleOneIdentity()))
            && (this.getSaleTwoIdentity() == null ? other.getSaleTwoIdentity() == null : this.getSaleTwoIdentity().equals(other.getSaleTwoIdentity()))
            && (this.getSaleThreeIdentity() == null ? other.getSaleThreeIdentity() == null : this.getSaleThreeIdentity().equals(other.getSaleThreeIdentity()))
            && (this.getSaleFourIdentity() == null ? other.getSaleFourIdentity() == null : this.getSaleFourIdentity().equals(other.getSaleFourIdentity()))
            && (this.getSaleOneRatio() == null ? other.getSaleOneRatio() == null : this.getSaleOneRatio().equals(other.getSaleOneRatio()))
            && (this.getSaleTwoRatio() == null ? other.getSaleTwoRatio() == null : this.getSaleTwoRatio().equals(other.getSaleTwoRatio()))
            && (this.getSaleThreeRatio() == null ? other.getSaleThreeRatio() == null : this.getSaleThreeRatio().equals(other.getSaleThreeRatio()))
            && (this.getSaleFourRatio() == null ? other.getSaleFourRatio() == null : this.getSaleFourRatio().equals(other.getSaleFourRatio()))
            && (this.getManageStaffId() == null ? other.getManageStaffId() == null : this.getManageStaffId().equals(other.getManageStaffId()))
            && (this.getManageStaffName() == null ? other.getManageStaffName() == null : this.getManageStaffName().equals(other.getManageStaffName()))
            && (this.getManageIdentity() == null ? other.getManageIdentity() == null : this.getManageIdentity().equals(other.getManageIdentity()))
            && (this.getManageNumber() == null ? other.getManageNumber() == null : this.getManageNumber().equals(other.getManageNumber()))
            && (this.getAccountId() == null ? other.getAccountId() == null : this.getAccountId().equals(other.getAccountId()))
            && (this.getState() == null ? other.getState() == null : this.getState().equals(other.getState()))
            && (this.getRepayCount() == null ? other.getRepayCount() == null : this.getRepayCount().equals(other.getRepayCount()))
            && (this.getRepayConsumeCount() == null ? other.getRepayConsumeCount() == null : this.getRepayConsumeCount().equals(other.getRepayConsumeCount()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getStoreId() == null) ? 0 : getStoreId().hashCode());
        result = prime * result + ((getStoreName() == null) ? 0 : getStoreName().hashCode());
        result = prime * result + ((getMemberId() == null) ? 0 : getMemberId().hashCode());
        result = prime * result + ((getMemberName() == null) ? 0 : getMemberName().hashCode());
        result = prime * result + ((getMemberIdentityCard() == null) ? 0 : getMemberIdentityCard().hashCode());
        result = prime * result + ((getMobilePhone() == null) ? 0 : getMobilePhone().hashCode());
        result = prime * result + ((getDocId() == null) ? 0 : getDocId().hashCode());
        result = prime * result + ((getDocNum() == null) ? 0 : getDocNum().hashCode());
        result = prime * result + ((getDocType() == null) ? 0 : getDocType().hashCode());
        result = prime * result + ((getDocDate() == null) ? 0 : getDocDate().hashCode());
        result = prime * result + ((getTradeId() == null) ? 0 : getTradeId().hashCode());
        result = prime * result + ((getTradeName() == null) ? 0 : getTradeName().hashCode());
        result = prime * result + ((getTradeMoney() == null) ? 0 : getTradeMoney().hashCode());
        result = prime * result + ((getDebtMoney() == null) ? 0 : getDebtMoney().hashCode());
        result = prime * result + ((getSalesAchievement() == null) ? 0 : getSalesAchievement().hashCode());
        result = prime * result + ((getSalesCommission() == null) ? 0 : getSalesCommission().hashCode());
        result = prime * result + ((getCardSalesAchievement() == null) ? 0 : getCardSalesAchievement().hashCode());
        result = prime * result + ((getCardSalesCommission() == null) ? 0 : getCardSalesCommission().hashCode());
        result = prime * result + ((getTypeRatio() == null) ? 0 : getTypeRatio().hashCode());
        result = prime * result + ((getSaleOneNumber() == null) ? 0 : getSaleOneNumber().hashCode());
        result = prime * result + ((getSaleTwoNumber() == null) ? 0 : getSaleTwoNumber().hashCode());
        result = prime * result + ((getSaleThreeNumber() == null) ? 0 : getSaleThreeNumber().hashCode());
        result = prime * result + ((getSaleFourNumber() == null) ? 0 : getSaleFourNumber().hashCode());
        result = prime * result + ((getSaleOneStaffId() == null) ? 0 : getSaleOneStaffId().hashCode());
        result = prime * result + ((getSaleTwoStaffId() == null) ? 0 : getSaleTwoStaffId().hashCode());
        result = prime * result + ((getSaleThreeStaffId() == null) ? 0 : getSaleThreeStaffId().hashCode());
        result = prime * result + ((getSaleFourStaffId() == null) ? 0 : getSaleFourStaffId().hashCode());
        result = prime * result + ((getSaleOneStaffName() == null) ? 0 : getSaleOneStaffName().hashCode());
        result = prime * result + ((getSaleTwoStaffName() == null) ? 0 : getSaleTwoStaffName().hashCode());
        result = prime * result + ((getSaleThreeStaffName() == null) ? 0 : getSaleThreeStaffName().hashCode());
        result = prime * result + ((getSaleFourStaffName() == null) ? 0 : getSaleFourStaffName().hashCode());
        result = prime * result + ((getSaleOneIdentity() == null) ? 0 : getSaleOneIdentity().hashCode());
        result = prime * result + ((getSaleTwoIdentity() == null) ? 0 : getSaleTwoIdentity().hashCode());
        result = prime * result + ((getSaleThreeIdentity() == null) ? 0 : getSaleThreeIdentity().hashCode());
        result = prime * result + ((getSaleFourIdentity() == null) ? 0 : getSaleFourIdentity().hashCode());
        result = prime * result + ((getSaleOneRatio() == null) ? 0 : getSaleOneRatio().hashCode());
        result = prime * result + ((getSaleTwoRatio() == null) ? 0 : getSaleTwoRatio().hashCode());
        result = prime * result + ((getSaleThreeRatio() == null) ? 0 : getSaleThreeRatio().hashCode());
        result = prime * result + ((getSaleFourRatio() == null) ? 0 : getSaleFourRatio().hashCode());
        result = prime * result + ((getManageStaffId() == null) ? 0 : getManageStaffId().hashCode());
        result = prime * result + ((getManageStaffName() == null) ? 0 : getManageStaffName().hashCode());
        result = prime * result + ((getManageIdentity() == null) ? 0 : getManageIdentity().hashCode());
        result = prime * result + ((getManageNumber() == null) ? 0 : getManageNumber().hashCode());
        result = prime * result + ((getAccountId() == null) ? 0 : getAccountId().hashCode());
        result = prime * result + ((getState() == null) ? 0 : getState().hashCode());
        result = prime * result + ((getRepayCount() == null) ? 0 : getRepayCount().hashCode());
        result = prime * result + ((getRepayConsumeCount() == null) ? 0 : getRepayConsumeCount().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", storeId=").append(storeId);
        sb.append(", storeName=").append(storeName);
        sb.append(", memberId=").append(memberId);
        sb.append(", memberName=").append(memberName);
        sb.append(", memberIdentityCard=").append(memberIdentityCard);
        sb.append(", mobilePhone=").append(mobilePhone);
        sb.append(", docId=").append(docId);
        sb.append(", docNum=").append(docNum);
        sb.append(", docType=").append(docType);
        sb.append(", docDate=").append(docDate);
        sb.append(", tradeId=").append(tradeId);
        sb.append(", tradeName=").append(tradeName);
        sb.append(", tradeMoney=").append(tradeMoney);
        sb.append(", debtMoney=").append(debtMoney);
        sb.append(", salesAchievement=").append(salesAchievement);
        sb.append(", salesCommission=").append(salesCommission);
        sb.append(", cardSalesAchievement=").append(cardSalesAchievement);
        sb.append(", cardSalesCommission=").append(cardSalesCommission);
        sb.append(", typeRatio=").append(typeRatio);
        sb.append(", saleOneNumber=").append(saleOneNumber);
        sb.append(", saleTwoNumber=").append(saleTwoNumber);
        sb.append(", saleThreeNumber=").append(saleThreeNumber);
        sb.append(", saleFourNumber=").append(saleFourNumber);
        sb.append(", saleOneStaffId=").append(saleOneStaffId);
        sb.append(", saleTwoStaffId=").append(saleTwoStaffId);
        sb.append(", saleThreeStaffId=").append(saleThreeStaffId);
        sb.append(", saleFourStaffId=").append(saleFourStaffId);
        sb.append(", saleOneStaffName=").append(saleOneStaffName);
        sb.append(", saleTwoStaffName=").append(saleTwoStaffName);
        sb.append(", saleThreeStaffName=").append(saleThreeStaffName);
        sb.append(", saleFourStaffName=").append(saleFourStaffName);
        sb.append(", saleOneIdentity=").append(saleOneIdentity);
        sb.append(", saleTwoIdentity=").append(saleTwoIdentity);
        sb.append(", saleThreeIdentity=").append(saleThreeIdentity);
        sb.append(", saleFourIdentity=").append(saleFourIdentity);
        sb.append(", saleOneRatio=").append(saleOneRatio);
        sb.append(", saleTwoRatio=").append(saleTwoRatio);
        sb.append(", saleThreeRatio=").append(saleThreeRatio);
        sb.append(", saleFourRatio=").append(saleFourRatio);
        sb.append(", manageStaffId=").append(manageStaffId);
        sb.append(", manageStaffName=").append(manageStaffName);
        sb.append(", manageIdentity=").append(manageIdentity);
        sb.append(", manageNumber=").append(manageNumber);
        sb.append(", accountId=").append(accountId);
        sb.append(", state=").append(state);
        sb.append(", repayCount=").append(repayCount);
        sb.append(", repayConsumeCount=").append(repayConsumeCount);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}